\documentclass{article}
\usepackage[margin=1in]{geometry}
\usepackage{tikz}

\newcommand*{\xMin}{0}%
\newcommand*{\xMax}{23}% num papers
\newcommand*{\yMin}{0}%
\newcommand*{\yMax}{11}% num questions
\begin{document}\thispagestyle{empty}
\noindent\begin{tikzpicture}[x=0.7cm,y=1cm]
    \foreach \i in {\xMin,...,\xMax} {
        \draw [very thin,gray] (\i,\yMin) -- (\i,\yMax)  node [below] at (\i,\yMin) {};
    }
    \foreach \i in {\yMin,...,\yMax} {
        \draw [very thin,gray] (\xMin,\i) -- (\xMax,\i) node [left] at (\xMin,\i) {};
    }
\end{tikzpicture}
\end{document}